Name: icinga-notifications
Version: 0.1.1
Release: 1.fc37
Summary: Improved notifications and incident management for your Icinga stack

Group: Productivity/Databases/Daemons

License: GPLv2

URL: https://icinga.com
Source0: icinga-notifications-0.1.1.tgz
Source1: icinga-notifications.service

BuildRequires: gcc
BuildRequires: systemd-rpm-macros
BuildRequires: make

Requires(pre): shadow-utils
Requires: tzdata

%description
Icinga Notifications daemon is responsible for processing received monitoring
events from various sources, managing incidents and forwards notifications to
predefined contacts.

%define debug_package %{nil}

%prep
%autosetup

export GOFLAGS='-buildvcs=false -trimpath'

/usr/bin/make %_smp_mflags V=1 VERBOSE=1 sbindir=/usr/sbin libexecdir=/usr/libexec datadir=/usr/share sysconfdir=/etc

%check
make test

%install

/usr/bin/make install DESTDIR=%_topdir/BUILDROOT/icinga-notifications-0.1.1-1.fc37.x86_64 INSTALL="/usr/bin/install -p" sbindir=/usr/sbin libexecdir=/usr/libexec datadir=/usr/share sysconfdir=/etc

chmod -R o= %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.fc37.x86_64/etc/icinga-notifications
install -Dpm 0644 %_topdir/SOURCES/icinga-notifications.service %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.fc37.x86_64%{_unitdir}/icinga-notifications.service

install -dm 0755 %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.fc37.x86_64/usr/share/doc/icinga-notifications
cp -v README.md %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.fc37.x86_64/usr/share/doc/icinga-notifications/
cp -rv doc %_topdir/BUILDROOT/icinga-notifications-0.1.1-1.fc37.x86_64/usr/share/doc/icinga-notifications/

%pre
if ! getent passwd icinga-notifications >/dev/null; then
useradd --system --user-group --home-dir / --shell /usr/sbin/nologin icinga-notifications || true
fi

%post
%systemd_post icinga-notifications.service

%preun
%systemd_preun icinga-notifications.service

%postun
%systemd_postun_with_restart icinga-notifications.service

%files
%license LICENSE
/usr/sbin/icinga-notifications
/usr/libexec/icinga-notifications
%{_unitdir}/icinga-notifications.service
/usr/share/icinga-notifications
/usr/share/doc/icinga-notifications

%attr(-, root, icinga-notifications) /etc/icinga-notifications
%attr(-, root, icinga-notifications) %config(noreplace) /etc/icinga-notifications/config.yml

%changelog
* Mon Jul 29 2024 Icinga GmbH <info@icinga.com> - 0.1.1-1.fc37
- Release 0.1.1-1

